GeoTessCPP: geotess::GeoTessDataValue< T > Class Template Reference

GeoTessCPP 2.2.3 Software to facilitate storage and retrieval of 3D information about the Earth.

Public Member Functions | List of all members
geotess::GeoTessDataValue< T > Class Template Reference

Manages a single data value attached to a grid node. More...

`#include <GeoTessData.h>`

## Public Member Functions
| GeoTessDataValue (T v)
| GeoTessDataValue ()
virtual const GeoTessDataType & | getDataType () const
virtual int | size () const
bool | operator== (const GeoTessDataValue< T > &d) const
virtual bool | operator== (const GeoTessData &d) const
virtual double | getDouble (int attributeIndex) const
virtual float | getFloat (int attributeIndex) const
virtual LONG_INT | getLong (int attributeIndex) const
virtual int | getInt (int attributeIndex) const
virtual short | getShort (int attributeIndex) const
virtual byte | getByte (int attributeIndex) const
virtual void | getValue (int attributeIndex, double &val) const
virtual void | getValue (int attributeIndex, float &val) const
virtual void | getValue (int attributeIndex, LONG_INT &val) const
virtual void | getValue (int attributeIndex, int &val) const
virtual void | getValue (int attributeIndex, short &val) const
virtual void | getValue (int attributeIndex, byte &val) const
virtual void | getValues (double values[], const int &n)
virtual void | getValues (float values[], const int &n)
virtual void | getValues (LONG_INT values[], const int &n)
virtual void | getValues (int values[], const int &n)
virtual void | getValues (short values[], const int &n)
virtual void | getValues (byte values[], const int &n)
virtual GeoTessData & | setValue (int attributeIndex, double v)
virtual GeoTessData & | setValue (int attributeIndex, float v)
virtual GeoTessData & | setValue (int attributeIndex, LONG_INT v)
virtual GeoTessData & | setValue (int attributeIndex, int v)
virtual GeoTessData & | setValue (int attributeIndex, short v)
virtual GeoTessData & | setValue (int attributeIndex, byte v)
virtual bool | isNaN (int attributeIndex) const
virtual GeoTessData * | copy ()

## Detailed Description

### template<typename T>
class geotess::GeoTessDataValue< T >

Manages a single data value attached to a grid node.

Manages the data values attached to single grid node defined as a single value of type T (See DataType for supported types). The number of stored values is always 1 for this object.

Definition at line 65 of file GeoTessData.h.

## Constructor & Destructor Documentation

## ◆ GeoTessDataValue() [1/2]

template<typename T >

geotess::GeoTessDataValue< T >::GeoTessDataValue | ( | T | v | ) |
| inline

Standard constructor. Sets value.

Definition at line 90 of file GeoTessDataValue.h.

## ◆ GeoTessDataValue() [2/2]

template<typename T >

geotess::GeoTessDataValue< T >::GeoTessDataValue | ( |  | ) |
| inline

Default constructor.

Definition at line 95 of file GeoTessDataValue.h.

## Member Function Documentation

## ◆ copy()

template<typename T >

virtual GeoTessData* geotess::GeoTessDataValue< T >::copy | ( |  | ) |
| inlinevirtual

Returns a copy of this DataValue.

Definition at line 307 of file GeoTessDataValue.h.

## ◆ getByte()

template<typename T >

virtual byte geotess::GeoTessDataValue< T >::getByte | ( | int | attributeIndex | ) | const
| inlinevirtual

Definition at line 200 of file GeoTessDataValue.h.

## ◆ getDataType()

template<typename T >

virtual const GeoTessDataType& geotess::GeoTessDataValue< T >::getDataType | ( |  | ) | const
| inlinevirtual

Definition at line 162 of file GeoTessDataValue.h.

## ◆ getDouble()

template<typename T >

virtual double geotess::GeoTessDataValue< T >::getDouble | ( | int | attributeIndex | ) | const
| inlinevirtual

Returns value as one of six intrinsic types.

Definition at line 185 of file GeoTessDataValue.h.

## ◆ getFloat()

template<typename T >

virtual float geotess::GeoTessDataValue< T >::getFloat | ( | int | attributeIndex | ) | const
| inlinevirtual

Definition at line 188 of file GeoTessDataValue.h.

## ◆ getInt()

template<typename T >

virtual int geotess::GeoTessDataValue< T >::getInt | ( | int | attributeIndex | ) | const
| inlinevirtual

Definition at line 194 of file GeoTessDataValue.h.

## ◆ getLong()

template<typename T >

virtual LONG_INT geotess::GeoTessDataValue< T >::getLong | ( | int | attributeIndex | ) | const
| inlinevirtual

Definition at line 191 of file GeoTessDataValue.h.

## ◆ getShort()

template<typename T >

virtual short geotess::GeoTessDataValue< T >::getShort | ( | int | attributeIndex | ) | const
| inlinevirtual

Definition at line 197 of file GeoTessDataValue.h.

## ◆ getValue() [1/6]

template<typename T >

virtual void geotess::GeoTessDataValue< T >::getValue | ( | int | attributeIndex,
|  | byte & | val
| ) |  | const
| inlinevirtual

Returns the attribute at the input attribute index as a byte value.

Definition at line 237 of file GeoTessDataValue.h.

## ◆ getValue() [2/6]

template<typename T >

virtual void geotess::GeoTessDataValue< T >::getValue | ( | int | attributeIndex,
|  | double & | val
| ) |  | const
| inlinevirtual

Returns the attribute at the input attribute index as a double value.

Definition at line 207 of file GeoTessDataValue.h.

## ◆ getValue() [3/6]

template<typename T >

virtual void geotess::GeoTessDataValue< T >::getValue | ( | int | attributeIndex,
|  | float & | val
| ) |  | const
| inlinevirtual

Returns the attribute at the input attribute index as a float value.

Definition at line 213 of file GeoTessDataValue.h.

## ◆ getValue() [4/6]

template<typename T >

virtual void geotess::GeoTessDataValue< T >::getValue | ( | int | attributeIndex,
|  | int & | val
| ) |  | const
| inlinevirtual

Returns the attribute at the input attribute index as a int value.

Definition at line 225 of file GeoTessDataValue.h.

## ◆ getValue() [5/6]

template<typename T >

virtual void geotess::GeoTessDataValue< T >::getValue | ( | int | attributeIndex,
|  | LONG_INT & | val
| ) |  | const
| inlinevirtual

Returns the attribute at the input attribute index as a long value.

Definition at line 219 of file GeoTessDataValue.h.

## ◆ getValue() [6/6]

template<typename T >

virtual void geotess::GeoTessDataValue< T >::getValue | ( | int | attributeIndex,
|  | short & | val
| ) |  | const
| inlinevirtual

Returns the attribute at the input attribute index as a short value.

Definition at line 231 of file GeoTessDataValue.h.

## ◆ getValues() [1/6]

template<typename T >

virtual void geotess::GeoTessDataValue< T >::getValues | ( | byte | values[],
|  | const int & | n
| ) |  |
| inlinevirtual

Copy value into the supplied array at index 0 as a byte value.

Definition at line 268 of file GeoTessDataValue.h.

## ◆ getValues() [2/6]

template<typename T >

virtual void geotess::GeoTessDataValue< T >::getValues | ( | double | values[],
|  | const int & | n
| ) |  |
| inlinevirtual

Copy value into the supplied array at index 0 as a double value.

Definition at line 243 of file GeoTessDataValue.h.

## ◆ getValues() [3/6]

template<typename T >

virtual void geotess::GeoTessDataValue< T >::getValues | ( | float | values[],
|  | const int & | n
| ) |  |
| inlinevirtual

Copy value into the supplied array at index 0 as a float value.

Definition at line 248 of file GeoTessDataValue.h.

## ◆ getValues() [4/6]

template<typename T >

virtual void geotess::GeoTessDataValue< T >::getValues | ( | int | values[],
|  | const int & | n
| ) |  |
| inlinevirtual

Copy value into the supplied array at index 0 as an int value.

Definition at line 258 of file GeoTessDataValue.h.

## ◆ getValues() [5/6]

template<typename T >

virtual void geotess::GeoTessDataValue< T >::getValues | ( | LONG_INT | values[],
|  | const int & | n
| ) |  |
| inlinevirtual

Copy value into the supplied array at index 0 as a LONG_INT value.

Definition at line 253 of file GeoTessDataValue.h.

## ◆ getValues() [6/6]

template<typename T >

virtual void geotess::GeoTessDataValue< T >::getValues | ( | short | values[],
|  | const int & | n
| ) |  |
| inlinevirtual

Copy value into the supplied array at index 0 as a short value.

Definition at line 263 of file GeoTessDataValue.h.

## ◆ isNaN()

template<typename T >

virtual bool geotess::GeoTessDataValue< T >::isNaN | ( | int | attributeIndex | ) | const
| inlinevirtual

Returns true if the specified attribute is NaN. when Data values are of type Byte, Short, Int and Long, this method always returns false since those types do not support NaN. float and double types are overridden and returns true if value isNaN and false otherwise.

Parameters

  attributeIndex | The attribute value to be tested.

Returns
  true if the value of the specified attribute is NaN.

Definition at line 302 of file GeoTessDataValue.h.

## ◆ operator==() [1/2]

template<typename T >

virtual bool geotess::GeoTessDataValue< T >::operator== | ( | const GeoTessData & | d | ) | const
| inlinevirtual

Return true if the input DataValue<T> object (d) equals this DataValue<T> object.

Definition at line 180 of file GeoTessDataValue.h.

## ◆ operator==() [2/2]

template<typename T >

bool geotess::GeoTessDataValue< T >::operator== | ( | const GeoTessDataValue< T > & | d | ) | const
| inline

Return true if the input DataValue<T> object (d) equals this DataValue<T> object.

Definition at line 173 of file GeoTessDataValue.h.

## ◆ setValue() [1/6]

template<typename T >

virtual GeoTessData& geotess::GeoTessDataValue< T >::setValue | ( | int | attributeIndex,
|  | byte | v
| ) |  |
| inlinevirtual

Definition at line 288 of file GeoTessDataValue.h.

## ◆ setValue() [2/6]

template<typename T >

virtual GeoTessData& geotess::GeoTessDataValue< T >::setValue | ( | int | attributeIndex,
|  | double | v
| ) |  |
| inlinevirtual

Set the value at the input attribute index to the input intrinsic.

Definition at line 273 of file GeoTessDataValue.h.

## ◆ setValue() [3/6]

template<typename T >

virtual GeoTessData& geotess::GeoTessDataValue< T >::setValue | ( | int | attributeIndex,
|  | float | v
| ) |  |
| inlinevirtual

Definition at line 276 of file GeoTessDataValue.h.

## ◆ setValue() [4/6]

template<typename T >

virtual GeoTessData& geotess::GeoTessDataValue< T >::setValue | ( | int | attributeIndex,
|  | int | v
| ) |  |
| inlinevirtual

Definition at line 282 of file GeoTessDataValue.h.

## ◆ setValue() [5/6]

template<typename T >

virtual GeoTessData& geotess::GeoTessDataValue< T >::setValue | ( | int | attributeIndex,
|  | LONG_INT | v
| ) |  |
| inlinevirtual

Definition at line 279 of file GeoTessDataValue.h.

## ◆ setValue() [6/6]

template<typename T >

virtual GeoTessData& geotess::GeoTessDataValue< T >::setValue | ( | int | attributeIndex,
|  | short | v
| ) |  |
| inlinevirtual

Definition at line 285 of file GeoTessDataValue.h.

## ◆ size()

template<typename T >

virtual int geotess::GeoTessDataValue< T >::size | ( |  | ) | const
| inlinevirtual

Return size.

Definition at line 167 of file GeoTessDataValue.h.

The documentation for this class was generated from the following files:

- rstt/GeoTessCPP/include/GeoTessData.h
- rstt/GeoTessCPP/include/GeoTessDataValue.h